/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.isobus;

import java.util.List;
import nl.cloudfarming.client.isobus.model.Isobus;

/**
 * Interface for Isobus service
 * @author Merijn Zengers & Gerben Feenstra
 */
public interface IsobusService {
    
    // Partfields
    List<nl.cloudfarming.client.model.PartField> getPartFields(Isobus isobus);
    nl.cloudfarming.client.model.PartField getPartFieldById(long id);  

}
